org.apache.ode.bpel.pmapi

## Interface InstanceInfoDocument

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    InstanceInfoDocumentImpl

      public interface InstanceInfoDocument
      extends org.apache.xmlbeans.XmlObject

  A document containing one instance-info(@http://www.apache.org/ode/pmapi/types/2006/08/02/) element. This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `InstanceInfoDocument.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TInstanceInfo` | `addNewInstanceInfo()` Appends and returns a new empty "instance-info" element
    `TInstanceInfo` | `getInstanceInfo()` Gets the "instance-info" element
    `void` | `setInstanceInfo(TInstanceInfo instanceInfo)` Sets the "instance-info" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getInstanceInfo

          TInstanceInfo getInstanceInfo()

      Gets the "instance-info" element

    - #### setInstanceInfo

          void setInstanceInfo(TInstanceInfo instanceInfo)

      Sets the "instance-info" element

    - #### addNewInstanceInfo

          TInstanceInfo addNewInstanceInfo()

      Appends and returns a new empty "instance-info" element